Skip to main content
`Ctrl`+`K`

# DMAdaptorCreate

Create a `DMAdaptor` object. Its purpose is to construct a adaptation `DMLabel` or metric `Vec` that can be used to modify the `DM`.

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorCreate(MPI_Comm comm, DMAdaptor *adaptor)

Collective

## Input Parameter

- comm - The communicator for the `DMAdaptor` object

## Output Parameter

- adaptor - The `DMAdaptor` object

## See Also

DM Basics, `DM`, `DMAdaptor`, `DMAdaptorDestroy()`, `DMAdaptorAdapt()`, `PetscConvEst`, `PetscConvEstCreate()`

## Level

beginner

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages